% J. Rowland Adams, A. Stefanovska and P. Clemson

filename="<add filename here>";
figuretitle="<add title here>";
load(strcat(filename,"_parameters"));

num_int = length(parameters);

for j=1:num_int
load(strcat(filename,"_integration_",num2str(j)));
couplingstring=num2str(abs(parameters(j).K_A));
savename=strcat(filename,"_",couplingstring);

tf = 500;    % final time
ts = 0.001;    % time between samples (integration step)

time=0:ts:tf; %time span

[N, ~] = size(omega_A);
num_samples = tf/ts+1;

R_N_A_arg_denom = sum((omega_A - Omega_A).^2,1);
R_N_L = zeros(1,num_samples);
R_K_A = zeros(1,num_samples);
Phi_K_A = zeros(1,num_samples);

theta_A = results.theta_A;
grad_theta_A = results.grad_theta_A;
grad_Phi_A = sum(grad_theta_A,1)/N;

% compute new measure
argsum_N_A = sum((grad_theta_A - grad_Phi_A).^2,1);
argument_N_A = argsum_N_A./R_N_A_arg_denom;
for k=1:length(argument_N_A)
	if argument_N_A(k)<1
		R_N_L(k) = 1-argument_N_A(k);
	else
		R_N_L(k) = 0;
	end
end

argument_K_A = sum(exp(1i*theta_A));
R_K_A = abs(argument_K_A)/N;    % order parameter
Phi_K_A = unwrap(angle(argument_K_A));  % macroscopic phase

figure % can plot macroscopic phase if only one run
plot(time,R_K_A,'Color',[0 0.4470 0.7410],'LineWidth',2,'DisplayName','$r$')
hold on;
plot(time,R_N_L,'Color',[0.6350 0.0780 0.1840],'LineWidth',2,'DisplayName','$R$')
xlabel('Time (s)','FontSize',12,'interpreter','latex');
ylabel('Value of metric','FontSize',12,'interpreter','latex');
ylim([0 1]);
title(strcat(figuretitle, ', $K=$', num2str(abs(parameters(j).K_A))),'FontSize',12,'interpreter','latex');
hold off;
legend('interpreter','latex');
saveas(gcf,strcat(savename,'.png'));
saveas(gcf,strcat(savename,'.fig'));
close;

end

