% J. Rowland Adams, A. Stefanovska and P. Clemson
function generate_parameters

tf = 500;  % final time
ts = 0.001;  % time between samples (integration step)
N=100;  % number of oscillators in network

K_A=1.5:0.02:1.6;  % coupling strengths between oscillatiors in nework (specify more than one value to generate multiple simulations)
M_A=0;  % amplitude of coupling modulation in network A
omega_mA=0.1;  % frequency of coupling modulation in nework A
mu_A = pi;
sigma_A = 0.5;


% sample frequencies of oscillators in network
omega_A0 = mu_A+sigma_A*randn(N,1);

name = 'AAutCoupling';  % base name for simulations
parameters = struct();
a = length(K_A);

for m = 1:a

    parameters(m).K_A = K_A(m);
    parameters(m).M_A = M_A;
    parameters(m).omega_mA = omega_mA; 
    parameters(m).omega_A0 = omega_A0;
    parameters(m).N = N;
    parameters(m).tf = tf;
    parameters(m).ts = ts;

end

save(strcat(name,'_parameters.mat'),'parameters');

end